path: /build/build/egl-wayland-gui-libs-1.1.13+4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise repo update && anise upgrade -y && anise cleanup
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} gui-libs/egl-wayland -pv -t && \
    emerge -j ${JOBS} --nodeps gui-libs/egl-wayland
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/egl-wayland && luet-portage --dir /pkgdir/egl-wayland
    gui-libs/egl-wayland && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1b95241a6346cdb60ddc0950cecaea7027813ee9ac9e72c1d62f35acb91a3fa3
  package:
    id: 0
    name: egl-wayland
    version: 1.1.13+4
    category: gui-libs
    useflags: []
    state: ""
    packagerequires:
    - id: 0
      name: eglexternalplatform
      version: '>=0'
      category: gui-libs
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: EGLStream-based Wayland external platform
    uri:
    - https://github.com/NVIDIA/egl-wayland/
    license: MIT
    buildtimestamp: 2024-02-27 15:30:14.229230496 +0000 UTC m=+500.274018224
    labels:
      BDEPEND: dev-util/wayland-scanner >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: dev-libs/wayland x11-libs/libdrm !<x11-drivers/nvidia-drivers-470.57.02[wayland(-)]
        dev-libs/wayland-protocols gui-libs/eglexternalplatform media-libs/libglvnd
      RDEPEND: dev-libs/wayland x11-libs/libdrm !<x11-drivers/nvidia-drivers-470.57.02[wayland(-)]
      emerge.packages: gui-libs/egl-wayland
      kit: geaaru-kit
      original.package.name: gui-libs/egl-wayland
      original.package.slot: "0"
      original.package.version: 1.1.13
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/egl-wayland
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 81bf87bd5f6c18fa530ed9ffb21f055070931cfdebf077ceb4a0b5de25112bae
compressiontype: zstd
files:
- usr/lib64/libnvidia-egl-wayland.so
- usr/lib64/libnvidia-egl-wayland.so.1
- usr/lib64/libnvidia-egl-wayland.so.1.1.13
- usr/lib64/pkgconfig/wayland-eglstream.pc
- usr/share/doc/egl-wayland-1.1.13/README.md.bz2
- usr/share/pkgconfig/wayland-eglstream-protocols.pc
- usr/share/wayland-eglstream/wayland-drm.xml
- usr/share/wayland-eglstream/wayland-eglstream-controller.xml
- usr/share/wayland-eglstream/wayland-eglstream.xml
- var/db/pkg/gui-libs/egl-wayland-1.1.13/BDEPEND
- var/db/pkg/gui-libs/egl-wayland-1.1.13/BUILD_TIME
- var/db/pkg/gui-libs/egl-wayland-1.1.13/CATEGORY
- var/db/pkg/gui-libs/egl-wayland-1.1.13/CBUILD
- var/db/pkg/gui-libs/egl-wayland-1.1.13/CFLAGS
- var/db/pkg/gui-libs/egl-wayland-1.1.13/CHOST
- var/db/pkg/gui-libs/egl-wayland-1.1.13/CONTENTS
- var/db/pkg/gui-libs/egl-wayland-1.1.13/COUNTER
- var/db/pkg/gui-libs/egl-wayland-1.1.13/CXXFLAGS
- var/db/pkg/gui-libs/egl-wayland-1.1.13/DEFINED_PHASES
- var/db/pkg/gui-libs/egl-wayland-1.1.13/DEPEND
- var/db/pkg/gui-libs/egl-wayland-1.1.13/DESCRIPTION
- var/db/pkg/gui-libs/egl-wayland-1.1.13/EAPI
- var/db/pkg/gui-libs/egl-wayland-1.1.13/FEATURES
- var/db/pkg/gui-libs/egl-wayland-1.1.13/HOMEPAGE
- var/db/pkg/gui-libs/egl-wayland-1.1.13/INHERITED
- var/db/pkg/gui-libs/egl-wayland-1.1.13/IUSE
- var/db/pkg/gui-libs/egl-wayland-1.1.13/IUSE_EFFECTIVE
- var/db/pkg/gui-libs/egl-wayland-1.1.13/KEYWORDS
- var/db/pkg/gui-libs/egl-wayland-1.1.13/LDFLAGS
- var/db/pkg/gui-libs/egl-wayland-1.1.13/LICENSE
- var/db/pkg/gui-libs/egl-wayland-1.1.13/NEEDED
- var/db/pkg/gui-libs/egl-wayland-1.1.13/PF
- var/db/pkg/gui-libs/egl-wayland-1.1.13/PROVIDES
- var/db/pkg/gui-libs/egl-wayland-1.1.13/RDEPEND
- var/db/pkg/gui-libs/egl-wayland-1.1.13/REQUIRES
- var/db/pkg/gui-libs/egl-wayland-1.1.13/SIZE
- var/db/pkg/gui-libs/egl-wayland-1.1.13/SLOT
- var/db/pkg/gui-libs/egl-wayland-1.1.13/USE
- var/db/pkg/gui-libs/egl-wayland-1.1.13/egl-wayland-1.1.13.ebuild
- var/db/pkg/gui-libs/egl-wayland-1.1.13/environment.bz2
- var/db/pkg/gui-libs/egl-wayland-1.1.13/repository
package_cacheimage: ""
runtime:
  id: 0
  name: egl-wayland
  version: 1.1.13+4
  category: gui-libs
  useflags: []
  state: ""
  packagerequires:
  - id: 0
    name: wayland
    version: '>=0'
    category: dev-libs
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  - id: 0
    name: libdrm
    version: '>=0'
    category: x11-libs
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: EGLStream-based Wayland external platform
  uri:
  - https://github.com/NVIDIA/egl-wayland/
  license: MIT
  buildtimestamp: ""
  labels:
    BDEPEND: dev-util/wayland-scanner >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: dev-libs/wayland x11-libs/libdrm !<x11-drivers/nvidia-drivers-470.57.02[wayland(-)]
      dev-libs/wayland-protocols gui-libs/eglexternalplatform media-libs/libglvnd
    RDEPEND: dev-libs/wayland x11-libs/libdrm !<x11-drivers/nvidia-drivers-470.57.02[wayland(-)]
    emerge.packages: gui-libs/egl-wayland
    kit: geaaru-kit
    original.package.name: gui-libs/egl-wayland
    original.package.slot: "0"
    original.package.version: 1.1.13
  treedir: ""
  repository: ""
